﻿@*
    For more information on enabling MVC for empty projects, visit http://go.microsoft.com/fwlink/?LinkID=397860
*@

@model List<YRPS.DTO.Log.AuditLogDto>
@{
    var logFields = new JObject();
    if (Model.Count > 0)
    {
        logFields = JsonConvert.DeserializeObject<JObject>(Model[0].NewValues);
    }
}
<!-- Add table -->
@if (Model.Count > 0)
{
    <table class="table datatable-basic">
        <thead>
            <tr>
                <th>Date</th>
                <th>User</th>
                @foreach (var item in logFields)
                {
                    <th>@item.Key.ToString()</th>
                }
            </tr>
        </thead>
        <tbody>

            @foreach (var item in Model)
            {
                <tr>
                    @{
                        var newValue = JsonConvert.DeserializeObject<JObject>(item.NewValues);
                        <td>@item.DateTime.ToShortDateString()</td>
                        <td>@item.Username.ToString()</td>
                        foreach (var keyValue in newValue)

                        {
                            <td>@keyValue.Value.ToString() </td>
                        }
                    }
                </tr>
            }
        </tbody>
    </table>
}
else
{
 <div class="h-100 panel-info" >
     No History Exist
 </div>
}
